# Uses of Interface
org.eclipse.birt.chart.model.attribute.Palette

Packages that use Palette
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of Palette in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Palette
Modifier and Type
Method
Description
`Palette`
Palette.`copyInstance()`
`Palette`
AttributeFactory.`createPalette()`
Returns a new object of class 'Palette'.
`Palette`
Marker.`getIconPalette()`
Deprecated.
Deprecated.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Palette
Modifier and Type
Method
Description
`void`
Marker.`setIconPalette(Palette value)`
Deprecated.
Deprecated.

## Uses of Palette in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Palette
Modifier and Type
Class
Description
`class`
`PaletteImpl`
An implementation of the model object ' Palette'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Palette
Modifier and Type
Method
Description
`Palette`
PaletteImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Palette`
PaletteImpl.`create(int iIndex, boolean bEmpty)`
A convenience method provided to create an empty or pre-initialized palette NOTE: Manually written
`static final Palette`
PaletteImpl.`create(Fill f)`
A convenience method provided to create a palette with a single color entry NOTE: Manually written
`Palette`
AttributeFactoryImpl.`createPalette()`
`Palette`
MarkerImpl.`getIconPalette()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Palette
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
MarkerImpl.`basicSetIconPalette(Palette newIconPalette, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
MarkerImpl.`setIconPalette(Palette newIconPalette)`

## Uses of Palette in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return Palette
Modifier and Type
Method
Description
`Palette`
SeriesDefinition.`getSeriesPalette()`
Returns the value of the 'Series Palette' containment reference.
Methods in org.eclipse.birt.chart.model.data with parameters of type Palette
Modifier and Type
Method
Description
`void`
SeriesDefinition.`setSeriesPalette(Palette value)`
Sets the value of the '`Series Palette`' containment reference.

## Uses of Palette in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return Palette
Modifier and Type
Method
Description
`Palette`
SeriesDefinitionImpl.`getSeriesPalette()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type Palette
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
SeriesDefinitionImpl.`basicSetSeriesPalette(Palette newSeriesPalette, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
SeriesDefinitionImpl.`setSeriesPalette(Palette newSeriesPalette)`